using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Configuration;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapUnit = GeographyUnit.Meter;
                Map1.MapTools.OverlaySwitcher.Enabled = true;

                GoogleOverlay google = new GoogleOverlay("Google Map");
                google.GoogleMapType = GoogleMapType.Normal;
                google.JavaScriptLibraryUri = new Uri(ConfigurationManager.AppSettings["GoogleUri"]);

                WmsOverlay wms1 = new WmsOverlay("WMSOverlay1");
                wms1.IsBaseOverlay = false;
                wms1.TileType = TileType.SingleTile;
                wms1.Parameters.Add("layers", "Countries02");
                wms1.Parameters.Add("transparent", "true");
                wms1.ServerUris.Add(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));

                WmsOverlay wms2 = new WmsOverlay("WMSOverlay2");
                wms2.IsBaseOverlay = false;
                wms2.TileType = TileType.SingleTile;
                wms2.Parameters.Add("layers", "USSTATES");
                wms2.Parameters.Add("transparent", "true");
                wms2.ServerUris.Add(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
                
                Map1.CustomOverlays.Add(google);
                Map1.CustomOverlays.Add(wms1);
                Map1.CustomOverlays.Add(wms2);
            }
        }
    }
}
